## iperf3 3.19.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/iperf.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/iperf.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/iperf"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/iperf"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## iperf3 3.0.7

=== debian/changelog ===
iperf3 (3.0.7-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1430953)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 11 Mar 2015 19:33:24 +0100

iperf3 (3.0.7-1) unstable; urgency=medium

  * new upstream version
  * tarball repackaging not necessary anymore

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Thu, 11 Sep 2014 11:57:57 +0200

iperf3 (3.0.5+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #739921)
  * Repackage tarball to delete bootstrap.sh file with restrictive copyright.

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Sat, 21 Jun 2014 15:57:27 +0200

=== debian/control ===
Source: iperf3
Section: net
Priority: optional
Maintainer: Raoul Gunnar Borenius <borenius@dfn.de>
Build-Depends: debhelper (>= 9), autotools-dev, uuid-dev
Standards-Version: 3.9.5
Homepage: http://software.es.net/iperf/

Package: iperf3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Internet Protocol bandwidth measuring tool
 Iperf3 is a tool for performing network throughput measurements. It can
 test either TCP or UDP throughput.
 .
 This is a new implementation that shares no code with the original
 iperf from NLANR/DAST and also is not backwards compatible.
 .
 This package contains the command line utility.

Package: libiperf0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Internet Protocol bandwidth measuring tool (runtime files)
 Iperf3 is a tool for performing network throughput measurements. It can
 test either TCP or UDP throughput.
 .
 This is a new implementation that shares no code with the original
 iperf from NLANR/DAST and also is not backwards compatible.
 .
 This is the runtime package for programs that use the shared iperf
 library.

Package: libiperf-dev
Architecture: any
Section: libdevel
Depends: libiperf0 (= ${binary:Version}), ${misc:Depends}
Description: Internet Protocol bandwidth measuring tool (development files)
 Iperf3 is a tool for performing network throughput measurements. It can
 test either TCP or UDP throughput.
 .
 This is a new implementation that shares no code with the original
 iperf from NLANR/DAST and also is not backwards compatible.
 .
 This is the development package which contains headers files and the
 static iperf library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

%:
	dh $@ --with autotools-dev

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
    http://downloads.es.net/pub/iperf/iperf-([0-9\.]+)\.tar\.gz

## iperf3 3.0.11

=== debian/changelog ===
iperf3 (3.0.11-1) unstable; urgency=medium

  * new upstream version
  * added multiarch support
  * bumped standards version to 3.9.6 

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Mon, 20 Jul 2015 08:08:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Raoul Gunnar Borenius <borenius@dfn.de>
 Build-Depends: debhelper (>= 9), autotools-dev, uuid-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://software.es.net/iperf/
 
 Package: iperf3
@@ -21,6 +21,8 @@
 Package: libiperf0
 Architecture: any
 Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Internet Protocol bandwidth measuring tool (runtime files)
  Iperf3 is a tool for performing network throughput measurements. It can
@@ -35,6 +37,7 @@
 Package: libiperf-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: libiperf0 (= ${binary:Version}), ${misc:Depends}
 Description: Internet Protocol bandwidth measuring tool (development files)
  Iperf3 is a tool for performing network throughput measurements. It can

## iperf3 3.1.3

=== debian/changelog ===
iperf3 (3.1.3-1) unstable; urgency=medium

  * new upstream version which fixes CVE-2016-4303 (Closes: #827116)
  * enabled hardening flags
  * bumped standards version to 3.9.8

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Wed, 22 Jun 2016 17:01:13 +0200

iperf3 (3.1.2-1) unstable; urgency=medium

  * new upstream version (Closes: #808820)

 -- Raoul Gunnar Borenius <borenius@dfn.de>  Fri, 19 Feb 2016 09:28:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Raoul Gunnar Borenius <borenius@dfn.de>
-Build-Depends: debhelper (>= 9), autotools-dev, uuid-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), autotools-dev
+Standards-Version: 3.9.8
 Homepage: http://software.es.net/iperf/
 
 Package: iperf3

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

%:
	dh $@ --with autotools-dev

=== debian/watch ===
version=3
http://downloads.es.net/pub/iperf/iperf-([0-9\.]+)\.tar\.gz

## iperf3 3.6

=== debian/changelog ===
iperf3 (3.6-2) unstable; urgency=low

  * Fix Build-Depends for non-Linux architectures.

 -- Roberto Lumbreras <rover@debian.org>  Fri, 27 Jul 2018 07:08:04 +0200

iperf3 (3.6-1) unstable; urgency=low

  * Enabled SCTP support (Closes: #858944).
  * Enabled OpenSSL support.
  * New maintainer.
  * New upstream version. (Closes: #840545).
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Thu, 26 Jul 2018 16:43:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: iperf3
 Section: net
 Priority: optional
-Maintainer: Raoul Gunnar Borenius <borenius@dfn.de>
-Build-Depends: debhelper (>= 9), autotools-dev
-Standards-Version: 3.9.8
+Maintainer: Roberto Lumbreras <rover@debian.org>
+Build-Depends: debhelper (>= 11), libssl-dev, libsctp-dev [linux-any]
+Standards-Version: 4.1.5
 Homepage: http://software.es.net/iperf/
 
 Package: iperf3

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh_installchangelogs RELEASE_NOTES
 
 %:
-	dh $@ --with autotools-dev
+	dh $@

=== debian/watch ===
version=3
https://downloads.es.net/pub/iperf/iperf-([0-9\.]+)\.tar\.gz

## iperf3 3.7

=== debian/changelog ===
iperf3 (3.7-3) unstable; urgency=medium

  * Fix missing symbols on kfreebsd and hurd.
  * Fix minor issues: watch file, not-installed files.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 14 Jan 2020 20:06:25 +0100

iperf3 (3.7-2) unstable; urgency=medium

  * Fix sctp patch (Closes: #948798).

 -- Roberto Lumbreras <rover@debian.org>  Tue, 14 Jan 2020 08:54:12 +0100

iperf3 (3.7-1) unstable; urgency=low

  * New upstream version.
  * Updated standards. Use github in watch file.
  * Workaround to compile on kfreebsd (sctp in the kernel but no libsctp-dev)

 -- Roberto Lumbreras <rover@debian.org>  Sun, 12 Jan 2020 21:59:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
-Build-Depends: debhelper (>= 11), libssl-dev, libsctp-dev [linux-any]
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 12), libssl-dev, libsctp-dev [linux-any]
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: http://software.es.net/iperf/
 
 Package: iperf3

## iperf3 3.9

=== debian/changelog ===
iperf3 (3.9-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Backport version 3.9 from bullseye.
  * Fix CVE-2023-7250:
    A flaw was found in iperf, a utility for testing network performance using
    TCP, UDP, and SCTP. A malicious or malfunctioning client can send less than
    the expected amount of data to the iperf server, which can cause the server
    to hang indefinitely waiting for the remainder or until the connection gets
    closed. This will prevent other connections to the server, leading to a
    denial of service.
  * Fix CVE-2024-26306:
    iPerf3, when used with OpenSSL before 3.2.0 as a server with RSA
    authentication, allows a timing side channel in RSA decryption operations.
    This side channel could be sufficient for an attacker to recover credential
    plaintext. It requires the attacker to send a large number of messages for
    decryption, as described in "Everlasting ROBOT: the Marvin Attack" by
    Hubert Kario.
  * Fix CVE-2024-53580:
    iperf3 was discovered to contain a segmentation violation via the
    iperf_exchange_parameters() function.

 -- Markus Koschany <apo@debian.org>  Tue, 28 Jan 2025 12:48:54 +0100

iperf3 (3.9-1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix memory allocation hazard and crash (Closes: #1040830)

 -- Aron Xu <aron@debian.org>  Mon, 17 Jul 2023 16:49:40 +0800

iperf3 (3.9-1) unstable; urgency=medium

  * New upstream version.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 06 Oct 2020 22:22:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
-Build-Depends: debhelper-compat (= 12), libssl-dev, libsctp-dev [linux-any]
-Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 9), libssl-dev, libsctp-dev [linux-any]
+Standards-Version: 4.5.0
 Homepage: http://software.es.net/iperf/
 
 Package: iperf3

## iperf3 3.11

=== debian/changelog ===
iperf3 (3.11-3) unstable; urgency=low

  * Add Deutch translation. (Closes: #1010773).
  * Fix default file being modified by postinst.

 -- Roberto Lumbreras <rover@debian.org>  Sat, 02 Jul 2022 20:34:10 +0200

iperf3 (3.11-2) unstable; urgency=low

  * Add ufw profile. (Closes: #990046)
  * Add debconf question + systemd service file to run iperf3 as daemon.
    (Closes: 810072)
  * Add debconf translations. (Closes: #990509, #991092, #991487, #992077)
  * This upstream version also closes: #972109.

 -- Roberto Lumbreras <rover@debian.org>  Sun, 01 May 2022 11:44:50 +0200

iperf3 (3.11-1) unstable; urgency=low

  * New upstream version.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Wed, 27 Apr 2022 11:46:16 +0200

## iperf3 3.12

=== debian/changelog ===
iperf3 (3.12-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix memory allocation hazard and crash (Closes: #1040830)

 -- Aron Xu <aron@debian.org>  Mon, 17 Jul 2023 16:46:06 +0800

iperf3 (3.12-1) unstable; urgency=low

  * New upstream version. (Closes: #1022160)
  * Add Brazilian Portuguese translation. (Closes: #1025208)

 -- Roberto Lumbreras <rover@debian.org>  Thu, 01 Dec 2022 18:27:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
-Build-Depends: debhelper (>= 9), libssl-dev, libsctp-dev [linux-any]
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), libssl-dev, libsctp-dev [linux-any], po-debconf
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Homepage: http://software.es.net/iperf/
 
 Package: iperf3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: debconf, adduser, ${shlibs:Depends}, ${misc:Depends}
 Description: Internet Protocol bandwidth measuring tool
  Iperf3 is a tool for performing network throughput measurements. It can
  test either TCP or UDP throughput.
@@ -38,6 +40,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libiperf0 (= ${binary:Version}), ${misc:Depends}
 Description: Internet Protocol bandwidth measuring tool (development files)
  Iperf3 is a tool for performing network throughput measurements. It can

## iperf3 3.13

=== debian/changelog ===
iperf3 (3.13-2) unstable; urgency=low

  * Add Romanian translation. (Closes: #1031915)

 -- Roberto Lumbreras <rover@debian.org>  Sun, 05 Mar 2023 09:10:45 +0100

iperf3 (3.13-1) unstable; urgency=low

  * New upstream version.

 -- Roberto Lumbreras <rover@debian.org>  Sat, 04 Mar 2023 20:25:34 +0100

## iperf3 3.16

=== debian/changelog ===
iperf3 (3.16-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:31:36 +0000

iperf3 (3.16-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:15:23 +0000

iperf3 (3.16-1) unstable; urgency=low

  * New upstream version. Fix watch file by Boyuan Yang. (Closes: #1060303)

 -- Roberto Lumbreras <rover@debian.org>  Mon, 29 Jan 2024 09:50:33 +0100

iperf3 (3.15-1) unstable; urgency=low

  * New upstream version.
  * Add Italian debconf translation. (Closes: #1050109)

 -- Roberto Lumbreras <rover@debian.org>  Mon, 16 Oct 2023 17:14:01 +0200

iperf3 (3.14-1) unstable; urgency=high

  * New upstream version (ESNET-SECADV-2023-0001 security fix).
    (Closes: #1040830)

 -- Roberto Lumbreras <rover@debian.org>  Tue, 11 Jul 2023 16:29:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: iperf3
 Section: net
 Priority: optional
-Maintainer: Roberto Lumbreras <rover@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, libsctp-dev [linux-any], po-debconf
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://software.es.net/iperf/
 
 Package: iperf3

## iperf3 3.17.1

=== debian/changelog ===
iperf3 (3.17.1-1) unstable; urgency=medium

  * New upstream version. Includes fix for CVE-2024-26306. (Closes: #1071751)
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Mon, 27 May 2024 15:39:18 +0200

iperf3 (3.16-2) unstable; urgency=low

  * Try to fix Ubuntu bug 1996617.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 30 Jan 2024 15:43:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: iperf3
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
+Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, libsctp-dev [linux-any], po-debconf
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://software.es.net/iperf/
 
 Package: iperf3

## iperf3 3.18

=== debian/changelog ===
iperf3 (3.18-2ubuntu0.1) questing-security; urgency=medium

  * SECURITY UPDATE: Heap based buffer overflow
    - debian/patches/CVE-2025-54349.patch: fix off-by-one heap overflow
      in src/iperf_auth.c by allocating additional byte for null terminator
    - CVE-2025-54349

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2025-54350.patch: remove assertion that could
      cause crashes on malformed authentication attempts
    - CVE-2025-54350

  * debian/patches/fix-auth-tests.patch: fix FTBFS by resolving issue with
    openssl 3.5.3 encrypt

 -- Shishir Subedi <shishir.subedi@canonical.com>  Mon, 19 Jan 2026 20:02:23 +0545

iperf3 (3.18-2) unstable; urgency=low

  * Fix FTBFS with GCC-15 (Closes: #1096847)
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Mon, 24 Feb 2025 08:05:22 +0100

iperf3 (3.18-1) unstable; urgency=medium

  * New upstream version. Includes fix for CVE-2024-53580. (Closes: #1090931)
  * Fix "Unit iperf3.service not loaded" warning during installation.
    (Closes: #1090733)

 -- Roberto Lumbreras <rover@debian.org>  Fri, 27 Dec 2024 13:20:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: iperf3
 Section: net
 Priority: optional
-Maintainer: Roberto Lumbreras <rover@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, libsctp-dev [linux-any], po-debconf
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: http://software.es.net/iperf/
 
 Package: iperf3

## iperf3 3.19.1

=== debian/changelog ===
iperf3 (3.19.1-1) unstable; urgency=medium

  * New upstream version, including fixes for CVE-2025-54349, CVE-2025-54350.
    (Closes: #1110376)
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Mon, 04 Aug 2025 21:21:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: iperf3
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
+Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, libsctp-dev [linux-any], po-debconf
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: http://software.es.net/iperf/
 
 Package: iperf3

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/iperf-$1\.tar\.gz/" \
  https://github.com/esnet/iperf/tags .*/v?(\d\S+)\.tar\.gz

## iperf3 3.20

=== debian/changelog ===
iperf3 (3.20-2) unstable; urgency=low

  * Fix symbols for hurd-amd64.

 -- Roberto Lumbreras <rover@debian.org>  Sun, 16 Nov 2025 09:26:15 +0100

iperf3 (3.20-1) unstable; urgency=low

  * New upstream version.

 -- Roberto Lumbreras <rover@debian.org>  Sat, 15 Nov 2025 09:33:10 +0100

iperf3 (3.19.1-2) unstable; urgency=low

  * Fix FTBFS in sid (Closes: #1115788).
  * Fix groff warnings.

 -- Roberto Lumbreras <rover@debian.org>  Sun, 09 Nov 2025 09:59:23 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES.md

%:
	dh $@
